$(function() {
var stylingMode = readStylingMode() || "filled";
DevExpress.config({
editorStylingMode: stylingMode
});
$("#owner").dxTextBox({
value: "Samantha Bright",
width: "100%",
placeholder: "Owner"
});
$("#subject").dxTextBox({
value: "",
width: "100%",
placeholder: "Subject"
}).dxValidator({
validationRules: [{
type: "required"
}]
});
$("#date").dxDateBox({
value: new Date(2020, 4, 3),
width: "100%",
placeholder: "Start Date"
});
$("#priority").dxSelectBox({
items: [ "High", "Urgent", "Normal", "Low" ],
value: "High",
width: "100%",
placeholder: "Priority"
});
$("#status").dxTagBox({
items: [ "Not Started", "Need Assistance", "In Progress", "Deferred", "Completed" ],
value: [ "Not Started" ],
multiline: false,
width: "100%",
placeholder: "Status"
});
$("#details").dxTextArea({
value: "Need sign-off on the new NDA agreement. It's important that this is done quickly to prevent any unauthorized leaks.",
width: "100%",
placeholder: "Details"
});
$("#validate").dxButton({
text: "Save",
type: "default",
onClick: function (e) {
var result = e.validationGroup.validate();
if (result.isValid) {
DevExpress.ui.notify("The task was saved successfully.", "success");
} else {
DevExpress.ui.notify("The task was not saved. Please check if all fields are valid.", "error");
}
}
});
$("#modeSelector").dxSelectBox({
items: [ "outlined", "filled", "underlined" ],
value: stylingMode,
onValueChanged: function(e) {
writeStylingMode(e.value);
}
});
DevExpress.validationEngine.validateGroup();
});
var storageKey = "editorStylingMode";
function readStylingMode() {
var mode = localStorage.getItem(storageKey);
localStorage.removeItem(storageKey);
return mode;
}
function writeStylingMode(mode) {
localStorage.setItem(storageKey, mode);
window.location.reload(true);
}
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.6/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.6/css/dx.light.css" />
<script src="https://cdn3.devexpress.com/jslib/20.2.6/js/dx.all.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div class="title">Edit Task</div>
<div class="editors">
<div class="left">
<div id="owner"></div>
<div id="subject"></div>
</div>
<div class="right">
<div id="date"></div>
<div id="priority"></div>
</div>
<div class="center">
<div id="status"></div>
<div id="details"></div>
</div>
<div class="center">
<div id="validate" class="validate"></div>
</div>
</div>
<div class="options">
<div class="caption">Styling Mode</div>
<div class="option">
<div id="modeSelector"></div>
</div>
</div>
</div>
</body>
</html>
.title {
padding: 20px 0 20px 0;
font-size: 18px;
font-weight: 500;
}
.editors {
margin-right: 320px;
}
.editors .left, .editors .right {
display: inline-block;
width: 49%;
padding-right: 20px;
box-sizing: border-box;
}
.editors .left > div, .editors .right > div, .editors .center > div {
margin-bottom: 20px;
}
.editors .center {
padding: 20px 27px 0 0;
}
.validate {
float: right;
}
.options {
padding: 20px;
position: absolute;
bottom: 0;
right: 0;
width: 260px;
top: 0;
background-color: rgba(191, 191, 191, 0.15);
}
.caption {
font-size: 18px;
font-weight: 500;
}
.option {
margin-top: 20px;
}

<template>
<div>
<div class="title">Edit Task</div>
<div class="editors">
<div class="left">
<DxTextBox
:styling-mode="stylingMode"
value="Samantha Bright"
width="100%"
placeholder="Owner"
/>
<DxTextBox
:styling-mode="stylingMode"
value=""
width="100%"
placeholder="Subject"
>
<DxValidator
:validation-rules="[{ type: 'required' }]"
/>
</DxTextBox>
</div>
<div class="right">
<DxDateBox
v-model:value="date"
:styling-mode="stylingMode"
width="100%"
placeholder="Start Date"
/>
<DxSelectBox
:items="[ 'High', 'Urgent', 'Normal', 'Low' ]"
:styling-mode="stylingMode"
value="High"
width="100%"
placeholder="Priority"
/>
</div>
<div class="center">
<DxTagBox
:items="[ 'Not Started', 'Need Assistance', 'In Progress', 'Deferred', 'Completed' ]"
:value="[ 'Not Started' ]"
:multiline="false"
:styling-mode="stylingMode"
width="100%"
placeholder="Status"
/>
<DxTextArea
:styling-mode="stylingMode"
value="Need sign-off on the new NDA agreement. It\'s important that this is done quickly to prevent any unauthorized leaks."
width="100%"
placeholder="Details"
/>
</div>
<div class="center">
<DxButton
:on-click="validateClick"
text="Save"
type="default"
class="validate"
/>
</div>
</div>
<div class="options">
<div class="caption">Styling Mode</div>
<div class="option">
<DxSelectBox
:items="[ 'outlined', 'filled', 'underlined' ]"
v-model:value="stylingMode"
/>
</div>
</div>
</div>
</template>
<script>
import DxSelectBox from 'devextreme-vue/select-box';
import DxTextBox from 'devextreme-vue/text-box';
import DxTextArea from 'devextreme-vue/text-area';
import DxTagBox from 'devextreme-vue/tag-box';
import DxDateBox from 'devextreme-vue/date-box';
import DxButton from 'devextreme-vue/button';
import DxValidator from 'devextreme-vue/validator';
import validationEngine from 'devextreme/ui/validation_engine';
import notify from 'devextreme/ui/notify';
export default {
components: {
DxSelectBox,
DxTextBox,
DxTextArea,
DxTagBox,
DxDateBox,
DxButton,
DxValidator
},
data() {
setTimeout(() => validationEngine.validateGroup());
return {
date: new Date(2020, 4, 3),
stylingMode: 'filled'
};
},
methods: {
validateClick(e) {
var result = e.validationGroup.validate();
if (result.isValid) {
notify('The task was saved successfully.', 'success');
} else {
notify('The task was not saved. Please check if all fields are valid.', 'error');
}
}
}
};
</script>
<style>
.title {
padding: 20px 0 20px 0;
font-size: 18px;
font-weight: 500;
}
.editors {
margin-right: 320px;
}
.editors .left, .editors .right {
display: inline-block;
width: 49%;
padding-right: 20px;
box-sizing: border-box;
}
.editors .left {
margin-right: 4px;
}
.editors .left > *, .editors .right > *, .editors .center > * {
margin-bottom: 20px;
}
.editors .center {
padding: 20px 27px 0 0;
}
.validate {
float: right;
}
.options {
padding: 20px;
position: absolute;
bottom: 0;
right: 0;
width: 260px;
top: 0;
background-color: rgba(191, 191, 191, 0.15);
}
.caption {
font-size: 18px;
font-weight: 500;
}
.option {
margin-top: 20px;
}
</style>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import('./index.js');
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app">
</div>
</div>
</body>
</html>
export const tasks = [{
'Task_ID': 1,
'Task_Assigned_Employee_ID': 1,
'Task_Subject': 'Plans 2015',
'Task_Start_Date': '2015-01-01T00:00:00',
'Task_Due_Date': '2015-04-01T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 4,
'Task_Completion': 100,
'Task_Parent_ID': 0
}, {
'Task_ID': 2,
'Task_Assigned_Employee_ID': 2,
'Task_Subject': 'Health Insurance',
'Task_Start_Date': '2015-02-12T00:00:00',
'Task_Due_Date': '2015-05-30T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 4,
'Task_Completion': 75,
'Task_Parent_ID': 0
}, {
'Task_ID': 3,
'Task_Assigned_Employee_ID': 4,
'Task_Subject': 'New Brochures',
'Task_Start_Date': '2015-02-17T00:00:00',
'Task_Due_Date': '2015-03-01T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 3,
'Task_Completion': 100,
'Task_Parent_ID': 0
}, {
'Task_ID': 4,
'Task_Assigned_Employee_ID': 31,
'Task_Subject': 'Training',
'Task_Start_Date': '2015-03-02T00:00:00',
'Task_Due_Date': '2015-06-29T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 3,
'Task_Completion': 100,
'Task_Parent_ID': 0
}, {
'Task_ID': 5,
'Task_Assigned_Employee_ID': 5,
'Task_Subject': 'NDA',
'Task_Start_Date': '2015-03-12T00:00:00',
'Task_Due_Date': '2015-05-01T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 3,
'Task_Completion': 90,
'Task_Parent_ID': 0
}, {
'Task_ID': 6,
'Task_Assigned_Employee_ID': 7,
'Task_Subject': 'Revenue Projections',
'Task_Start_Date': '2015-03-24T00:00:00',
'Task_Due_Date': '2015-04-15T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 3,
'Task_Completion': 100,
'Task_Parent_ID': 0
}, {
'Task_ID': 7,
'Task_Assigned_Employee_ID': 9,
'Task_Subject': 'TV Recall',
'Task_Start_Date': '2015-04-18T00:00:00',
'Task_Due_Date': '2016-02-04T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 4,
'Task_Completion': 90,
'Task_Parent_ID': 0
}, {
'Task_ID': 8,
'Task_Assigned_Employee_ID': 6,
'Task_Subject': 'Overtime',
'Task_Start_Date': '2015-06-10T00:00:00',
'Task_Due_Date': '2015-06-20T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 0
}, {
'Task_ID': 9,
'Task_Assigned_Employee_ID': 8,
'Task_Subject': 'Recall and Refund Forms',
'Task_Start_Date': '2015-06-17T00:00:00',
'Task_Due_Date': '2016-04-09T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 0
}, {
'Task_ID': 10,
'Task_Assigned_Employee_ID': 10,
'Task_Subject': 'Shippers',
'Task_Start_Date': '2015-07-10T00:00:00',
'Task_Due_Date': '2016-04-11T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 0
}, {
'Task_ID': 11,
'Task_Assigned_Employee_ID': 6,
'Task_Subject': 'Hardware Upgrade',
'Task_Start_Date': '2015-07-22T00:00:00',
'Task_Due_Date': '2016-05-01T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 3,
'Task_Completion': 95,
'Task_Parent_ID': 0
}, {
'Task_ID': 12,
'Task_Assigned_Employee_ID': 6,
'Task_Subject': 'Touch-Enabled Apps',
'Task_Start_Date': '2015-08-05T00:00:00',
'Task_Due_Date': '2016-04-30T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 2,
'Task_Completion': 90,
'Task_Parent_ID': 0
}, {
'Task_ID': 13,
'Task_Assigned_Employee_ID':6,
'Task_Subject': 'Online Sales',
'Task_Start_Date': '2015-08-20T00:00:00',
'Task_Due_Date': '2015-09-15T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 4,
'Task_Completion': 100,
'Task_Parent_ID': 0
}, {
'Task_ID': 14,
'Task_Assigned_Employee_ID': 6,
'Task_Subject': 'New Website Design',
'Task_Start_Date': '2015-09-17T00:00:00',
'Task_Due_Date': '2015-11-01T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 4,
'Task_Completion': 100,
'Task_Parent_ID': 0
}, {
'Task_ID': 15,
'Task_Assigned_Employee_ID': 6,
'Task_Subject': 'Bandwidth Increase',
'Task_Start_Date': '2015-11-01T00:00:00',
'Task_Due_Date': '2015-11-07T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 3,
'Task_Completion': 100,
'Task_Parent_ID': 0
}, {
'Task_ID': 16,
'Task_Assigned_Employee_ID': 18,
'Task_Subject': 'Support',
'Task_Start_Date': '2015-11-10T00:00:00',
'Task_Due_Date': '2015-11-15T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 0
}, {
'Task_ID': 17,
'Task_Assigned_Employee_ID': 31,
'Task_Subject': 'Training Material',
'Task_Start_Date': '2015-11-14T00:00:00',
'Task_Due_Date': '2016-02-05T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 3,
'Task_Completion': 100,
'Task_Parent_ID': 0
}, {
'Task_ID': 18,
'Task_Assigned_Employee_ID': 22,
'Task_Subject': 'New Database',
'Task_Start_Date': '2015-12-24T00:00:00',
'Task_Due_Date': '2015-12-29T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 4,
'Task_Completion': 95,
'Task_Parent_ID': 0
}, {
'Task_ID': 19,
'Task_Assigned_Employee_ID': 32,
'Task_Subject': 'New HDMI Specification',
'Task_Start_Date': '2016-01-02T00:00:00',
'Task_Due_Date': '2016-01-31T00:00:00',
'Task_Status': 'Deferred',
'Task_Priority': 2,
'Task_Completion': 50,
'Task_Parent_ID': 0
}, {
'Task_ID': 20,
'Task_Assigned_Employee_ID': 3,
'Task_Subject': 'Automation Server',
'Task_Start_Date': '2016-01-15T00:00:00',
'Task_Due_Date': '2016-04-30T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 3,
'Task_Completion': 85,
'Task_Parent_ID': 0
}, {
'Task_ID': 21,
'Task_Assigned_Employee_ID': 40,
'Task_Subject': 'Retail Sales',
'Task_Start_Date': '2016-01-20T00:00:00',
'Task_Due_Date': '2016-02-10T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 4,
'Task_Completion': 100,
'Task_Parent_ID': 0
}, {
'Task_ID': 22,
'Task_Assigned_Employee_ID': 1,
'Task_Subject': 'Reports',
'Task_Start_Date': '2016-03-13T00:00:00',
'Task_Due_Date': '2016-05-07T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 4,
'Task_Completion': 50,
'Task_Parent_ID': 0
}, {
'Task_ID': 23,
'Task_Assigned_Employee_ID': 5,
'Task_Subject': 'Budget',
'Task_Start_Date': '2016-03-20T00:00:00',
'Task_Due_Date': '2016-04-01T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 4,
'Task_Completion': 30,
'Task_Parent_ID': 0
}, {
'Task_ID': 24,
'Task_Assigned_Employee_ID': 13,
'Task_Subject': 'Shipping Labels',
'Task_Start_Date': '2016-04-01T00:00:00',
'Task_Due_Date': '2016-04-15T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 2,
'Task_Completion': 50,
'Task_Parent_ID': 0
}, {
'Task_ID': 25,
'Task_Assigned_Employee_ID': 10,
'Task_Subject': 'New Warehouse',
'Task_Start_Date': '2016-04-05T00:00:00',
'Task_Due_Date': '2016-04-15T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 2,
'Task_Completion': 65,
'Task_Parent_ID': 0
}, {
'Task_ID': 26,
'Task_Assigned_Employee_ID': 10,
'Task_Subject': 'Forklift',
'Task_Start_Date': '2016-04-07T00:00:00',
'Task_Due_Date': '2016-04-20T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 2,
'Task_Completion': 20,
'Task_Parent_ID': 0
}, {
'Task_ID': 27,
'Task_Assigned_Employee_ID': 1,
'Task_Subject': 'Customer Follow Up Plan',
'Task_Start_Date': '2016-05-05T00:00:00',
'Task_Due_Date': '2016-05-11T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 2,
'Task_Completion': 40,
'Task_Parent_ID': 0
}, {
'Task_ID': 28,
'Task_Assigned_Employee_ID': 7,
'Task_Subject': 'Prepare 2015 Financial',
'Task_Start_Date': '2015-01-15T00:00:00',
'Task_Due_Date': '2015-01-31T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 4,
'Task_Completion': 100,
'Task_Parent_ID': 1
}, {
'Task_ID': 29,
'Task_Assigned_Employee_ID': 4,
'Task_Subject': 'Prepare 2015 Marketing Plan',
'Task_Start_Date': '2015-01-01T00:00:00',
'Task_Due_Date': '2015-01-31T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 4,
'Task_Completion': 100,
'Task_Parent_ID': 1
}, {
'Task_ID': 30,
'Task_Assigned_Employee_ID': 2,
'Task_Subject': 'Review Health Insurance Options Under the Affordable Care Act',
'Task_Start_Date': '2015-02-12T00:00:00',
'Task_Due_Date': '2015-04-25T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 4,
'Task_Completion': 50,
'Task_Parent_ID': 2
}, {
'Task_ID': 31,
'Task_Assigned_Employee_ID': 1,
'Task_Subject': 'Choose between PPO and HMO Health Plan',
'Task_Start_Date': '2015-02-15T00:00:00',
'Task_Due_Date': '2015-04-15T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 4,
'Task_Completion': 75,
'Task_Parent_ID': 2
}, {
'Task_ID': 32,
'Task_Assigned_Employee_ID': 1,
'Task_Subject': 'Google AdWords Strategy',
'Task_Start_Date': '2015-02-16T00:00:00',
'Task_Due_Date': '2015-02-28T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 4,
'Task_Completion': 100,
'Task_Parent_ID': 29
}, {
'Task_ID': 34,
'Task_Assigned_Employee_ID': 28,
'Task_Subject': '2015 Brochure Designs',
'Task_Start_Date': '2015-02-19T00:00:00',
'Task_Due_Date': '2015-02-24T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 3,
'Task_Completion': 100,
'Task_Parent_ID': 3
}, {
'Task_ID': 35,
'Task_Assigned_Employee_ID': 29,
'Task_Subject': 'Brochure Design Review',
'Task_Start_Date': '2015-02-19T00:00:00',
'Task_Due_Date': '2015-02-22T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 34
}, {
'Task_ID': 36,
'Task_Assigned_Employee_ID': 29,
'Task_Subject': 'Website Re-Design Plan',
'Task_Start_Date': '2015-02-19T00:00:00',
'Task_Due_Date': '2015-02-24T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 4,
'Task_Completion': 100,
'Task_Parent_ID': 34
}, {
'Task_ID': 37,
'Task_Assigned_Employee_ID': 4,
'Task_Subject': 'Rollout of New Website and Marketing Brochures',
'Task_Start_Date': '2015-02-20T00:00:00',
'Task_Due_Date': '2015-02-28T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 4,
'Task_Completion': 100,
'Task_Parent_ID': 3
}, {
'Task_ID': 38,
'Task_Assigned_Employee_ID': 8,
'Task_Subject': 'Update Sales Strategy Documents',
'Task_Start_Date': '2015-02-20T00:00:00',
'Task_Due_Date': '2015-02-22T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 29
}, {
'Task_ID': 39,
'Task_Assigned_Employee_ID': 41,
'Task_Subject': 'Create 2012 Sales Report',
'Task_Start_Date': '2015-02-20T00:00:00',
'Task_Due_Date': '2015-02-21T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 29
}, {
'Task_ID': 40,
'Task_Assigned_Employee_ID': 42,
'Task_Subject': 'Direct vs Online Sales Comparison Report',
'Task_Start_Date': '2015-02-20T00:00:00',
'Task_Due_Date': '2015-02-22T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 4,
'Task_Completion': 100,
'Task_Parent_ID': 29
}, {
'Task_ID': 41,
'Task_Assigned_Employee_ID': 4,
'Task_Subject': 'Review 2012 Sales Report and Approve 2015 Plans',
'Task_Start_Date': '2015-02-23T00:00:00',
'Task_Due_Date': '2015-02-28T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 29
}, {
'Task_ID': 42,
'Task_Assigned_Employee_ID': 3,
'Task_Subject': 'Deliver R&D Plans for 2015',
'Task_Start_Date': '2015-03-01T00:00:00',
'Task_Due_Date': '2015-03-10T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 4,
'Task_Completion': 100,
'Task_Parent_ID': 1
}, {
'Task_ID': 43,
'Task_Assigned_Employee_ID': 32,
'Task_Subject': 'Create 2015 R&D Plans',
'Task_Start_Date': '2015-03-01T00:00:00',
'Task_Due_Date': '2015-03-07T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 42
}, {
'Task_ID': 44,
'Task_Assigned_Employee_ID': 33,
'Task_Subject': '2015 QA Strategy Report',
'Task_Start_Date': '2015-03-02T00:00:00',
'Task_Due_Date': '2015-03-05T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 42
}, {
'Task_ID': 45,
'Task_Assigned_Employee_ID': 31,
'Task_Subject': '2015 Training Events',
'Task_Start_Date': '2015-03-02T00:00:00',
'Task_Due_Date': '2015-03-04T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 4,
'Task_Completion': 100,
'Task_Parent_ID': 4
}, {
'Task_ID': 46,
'Task_Assigned_Employee_ID': 2,
'Task_Subject': 'Non-Compete Agreements',
'Task_Start_Date': '2015-03-12T00:00:00',
'Task_Due_Date': '2015-03-14T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 1,
'Task_Completion': 100,
'Task_Parent_ID': 5
}, {
'Task_ID': 47,
'Task_Assigned_Employee_ID': 1,
'Task_Subject': 'Update NDA Agreement',
'Task_Start_Date': '2015-03-14T00:00:00',
'Task_Due_Date': '2015-03-16T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 4,
'Task_Completion': 100,
'Task_Parent_ID': 5
}, {
'Task_ID': 48,
'Task_Assigned_Employee_ID': 5,
'Task_Subject': 'Update Employee Files with New NDA',
'Task_Start_Date': '2015-03-16T00:00:00',
'Task_Due_Date': '2015-03-26T00:00:00',
'Task_Status': 'Need Assistance',
'Task_Priority': 2,
'Task_Completion': 90,
'Task_Parent_ID': 5
}, {
'Task_ID': 49,
'Task_Assigned_Employee_ID': 6,
'Task_Subject': 'Sign Updated NDA',
'Task_Start_Date': '2015-03-20T00:00:00',
'Task_Due_Date': '2015-03-25T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 3,
'Task_Completion': 100,
'Task_Parent_ID': 5
}, {
'Task_ID': 50,
'Task_Assigned_Employee_ID': 7,
'Task_Subject': 'Sign Updated NDA',
'Task_Start_Date': '2015-03-20T00:00:00',
'Task_Due_Date': '2015-03-25T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 3,
'Task_Completion': 100,
'Task_Parent_ID': 5
}, {
'Task_ID': 51,
'Task_Assigned_Employee_ID': 8,
'Task_Subject': 'Sign Updated NDA',
'Task_Start_Date': '2015-03-20T00:00:00',
'Task_Due_Date': '2015-03-25T00:00:00',
'Task_Status': 'Need Assistance',
'Task_Priority': 3,
'Task_Completion': 25,
'Task_Parent_ID': 5
}, {
'Task_ID': 52,
'Task_Assigned_Employee_ID': 9,
'Task_Subject': 'Sign Updated NDA',
'Task_Start_Date': '2015-03-20T00:00:00',
'Task_Due_Date': '2015-03-25T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 3,
'Task_Completion': 100,
'Task_Parent_ID': 5
}, {
'Task_ID': 53,
'Task_Assigned_Employee_ID': 17,
'Task_Subject': 'Submit Questions Regarding New NDA',
'Task_Start_Date': '2015-03-21T00:00:00',
'Task_Due_Date': '2015-03-24T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 4,
'Task_Completion': 100,
'Task_Parent_ID': 5
}, {
'Task_ID': 54,
'Task_Assigned_Employee_ID': 18,
'Task_Subject': 'Submit Questions Regarding New NDA',
'Task_Start_Date': '2015-03-21T00:00:00',
'Task_Due_Date': '2015-03-24T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 4,
'Task_Completion': 100,
'Task_Parent_ID': 5
}, {
'Task_ID': 55,
'Task_Assigned_Employee_ID': 19,
'Task_Subject': 'Submit Questions Regarding New NDA',
'Task_Start_Date': '2015-03-21T00:00:00',
'Task_Due_Date': '2015-03-24T00:00:00',
'Task_Status': 'Need Assistance',
'Task_Priority': 4,
'Task_Completion': 25,
'Task_Parent_ID': 5
}, {
'Task_ID': 56,
'Task_Assigned_Employee_ID': 14,
'Task_Subject': 'Submit Signed NDA',
'Task_Start_Date': '2015-03-22T00:00:00',
'Task_Due_Date': '2015-03-24T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 3,
'Task_Completion': 100,
'Task_Parent_ID': 5
}, {
'Task_ID': 57,
'Task_Assigned_Employee_ID': 13,
'Task_Subject': 'Submit Signed NDA',
'Task_Start_Date': '2015-03-22T00:00:00',
'Task_Due_Date': '2015-03-24T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 3,
'Task_Completion': 100,
'Task_Parent_ID': 5
}, {
'Task_ID': 58,
'Task_Assigned_Employee_ID': 15,
'Task_Subject': 'Submit Signed NDA',
'Task_Start_Date': '2015-03-22T00:00:00',
'Task_Due_Date': '2015-03-24T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 3,
'Task_Completion': 100,
'Task_Parent_ID': 5
}, {
'Task_ID': 59,
'Task_Assigned_Employee_ID': 16,
'Task_Subject': 'Submit Signed NDA',
'Task_Start_Date': '2015-03-22T00:00:00',
'Task_Due_Date': '2015-03-24T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 3,
'Task_Completion': 100,
'Task_Parent_ID': 5
}, {
'Task_ID': 60,
'Task_Assigned_Employee_ID': 7,
'Task_Subject': 'Update Revenue Projections',
'Task_Start_Date': '2015-03-24T00:00:00',
'Task_Due_Date': '2015-04-07T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 6
}, {
'Task_ID': 61,
'Task_Assigned_Employee_ID': 8,
'Task_Subject': 'Review Revenue Projections',
'Task_Start_Date': '2015-03-25T00:00:00',
'Task_Due_Date': '2015-04-06T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 4,
'Task_Completion': 100,
'Task_Parent_ID': 6
}, {
'Task_ID': 62,
'Task_Assigned_Employee_ID': 41,
'Task_Subject': 'Comment on Revenue Projections',
'Task_Start_Date': '2015-03-25T00:00:00',
'Task_Due_Date': '2015-04-03T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 3,
'Task_Completion': 100,
'Task_Parent_ID': 6
}, {
'Task_ID': 63,
'Task_Assigned_Employee_ID': 42,
'Task_Subject': 'Comment on Revenue Projections',
'Task_Start_Date': '2015-03-25T00:00:00',
'Task_Due_Date': '2015-04-03T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 3,
'Task_Completion': 100,
'Task_Parent_ID': 6
}, {
'Task_ID': 64,
'Task_Assigned_Employee_ID': 45,
'Task_Subject': 'Comment on Revenue Projections',
'Task_Start_Date': '2015-03-25T00:00:00',
'Task_Due_Date': '2015-04-03T00:00:00',
'Task_Status': 'Deferred',
'Task_Priority': 3,
'Task_Completion': 25,
'Task_Parent_ID': 6
}, {
'Task_ID': 65,
'Task_Assigned_Employee_ID': 5,
'Task_Subject': 'Provide New Health Insurance Docs',
'Task_Start_Date': '2015-03-28T00:00:00',
'Task_Due_Date': '2015-04-07T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 2
}, {
'Task_ID': 66,
'Task_Assigned_Employee_ID': 10,
'Task_Subject': 'Review Changes to Health Insurance Coverage',
'Task_Start_Date': '2015-04-07T00:00:00',
'Task_Due_Date': '2015-04-30T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 2
}, {
'Task_ID': 67,
'Task_Assigned_Employee_ID': 14,
'Task_Subject': 'Scan Health Insurance Forms',
'Task_Start_Date': '2015-04-15T00:00:00',
'Task_Due_Date': '2015-04-20T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 2
}, {
'Task_ID': 68,
'Task_Assigned_Employee_ID': 15,
'Task_Subject': 'Sign Health Insurance Forms',
'Task_Start_Date': '2015-04-16T00:00:00',
'Task_Due_Date': '2015-04-19T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 4,
'Task_Completion': 100,
'Task_Parent_ID': 2
}, {
'Task_ID': 69,
'Task_Assigned_Employee_ID': 13,
'Task_Subject': 'Sign Health Insurance Forms',
'Task_Start_Date': '2015-04-16T00:00:00',
'Task_Due_Date': '2015-04-19T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 4,
'Task_Completion': 100,
'Task_Parent_ID': 2
}, {
'Task_ID': 70,
'Task_Assigned_Employee_ID': 16,
'Task_Subject': 'Sign Health Insurance Forms',
'Task_Start_Date': '2015-04-16T00:00:00',
'Task_Due_Date': '2015-04-19T00:00:00',
'Task_Status': 'Deferred',
'Task_Priority': 4,
'Task_Completion': 100,
'Task_Parent_ID': 2
}, {
'Task_ID': 71,
'Task_Assigned_Employee_ID': 18,
'Task_Subject': 'Follow up with West Coast Stores',
'Task_Start_Date': '2015-04-18T00:00:00',
'Task_Due_Date': '2016-02-04T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 3,
'Task_Completion': 95,
'Task_Parent_ID': 7
}, {
'Task_ID': 72,
'Task_Assigned_Employee_ID': 17,
'Task_Subject': 'Follow up with East Coast Stores',
'Task_Start_Date': '2015-04-18T00:00:00',
'Task_Due_Date': '2016-01-04T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 3,
'Task_Completion': 85,
'Task_Parent_ID': 7
}, {
'Task_ID': 73,
'Task_Assigned_Employee_ID': 19,
'Task_Subject': 'Send Email to Customers about Recall',
'Task_Start_Date': '2015-04-18T00:00:00',
'Task_Due_Date': '2015-04-30T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 4,
'Task_Completion': 100,
'Task_Parent_ID': 7
}, {
'Task_ID': 74,
'Task_Assigned_Employee_ID': 9,
'Task_Subject': 'Submit Refund Report for 2015 Recall',
'Task_Start_Date': '2015-04-25T00:00:00',
'Task_Due_Date': '2015-05-05T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 3,
'Task_Completion': 100,
'Task_Parent_ID': 7
}, {
'Task_ID': 75,
'Task_Assigned_Employee_ID': 2,
'Task_Subject': 'Give Final Approval for Refunds',
'Task_Start_Date': '2015-05-05T00:00:00',
'Task_Due_Date': '2015-05-15T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 7
}, {
'Task_ID': 76,
'Task_Assigned_Employee_ID': 32,
'Task_Subject': 'Prepare Product Recall Report',
'Task_Start_Date': '2015-05-10T00:00:00',
'Task_Due_Date': '2015-05-16T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 7
}, {
'Task_ID': 77,
'Task_Assigned_Employee_ID': 1,
'Task_Subject': 'Review Product Recall Report by Engineering Team',
'Task_Start_Date': '2015-05-17T00:00:00',
'Task_Due_Date': '2015-05-20T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 4,
'Task_Completion': 100,
'Task_Parent_ID': 7
}, {
'Task_ID': 78,
'Task_Assigned_Employee_ID': 31,
'Task_Subject': 'Create Training Course for New TVs',
'Task_Start_Date': '2015-05-29T00:00:00',
'Task_Due_Date': '2015-06-29T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 4
}, {
'Task_ID': 79,
'Task_Assigned_Employee_ID': 33,
'Task_Subject': 'Review Training Course for any Ommissions',
'Task_Start_Date': '2015-06-01T00:00:00',
'Task_Due_Date': '2015-06-15T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 3,
'Task_Completion': 100,
'Task_Parent_ID': 4
}, {
'Task_ID': 80,
'Task_Assigned_Employee_ID': 6,
'Task_Subject': 'Review Overtime Report',
'Task_Start_Date': '2015-06-10T00:00:00',
'Task_Due_Date': '2015-06-14T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 8
}, {
'Task_ID': 81,
'Task_Assigned_Employee_ID': 21,
'Task_Subject': 'Submit Overtime Request Forms',
'Task_Start_Date': '2015-06-11T00:00:00',
'Task_Due_Date': '2015-06-12T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 8
}, {
'Task_ID': 82,
'Task_Assigned_Employee_ID': 22,
'Task_Subject': 'Submit Overtime Request Forms',
'Task_Start_Date': '2015-06-11T00:00:00',
'Task_Due_Date': '2015-06-12T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 8
}, {
'Task_ID': 83,
'Task_Assigned_Employee_ID': 23,
'Task_Subject': 'Submit Overtime Request Forms',
'Task_Start_Date': '2015-06-11T00:00:00',
'Task_Due_Date': '2015-06-12T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 8
}, {
'Task_ID': 84,
'Task_Assigned_Employee_ID': 2,
'Task_Subject': 'Overtime Approval Guidelines',
'Task_Start_Date': '2015-06-15T00:00:00',
'Task_Due_Date': '2015-06-20T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 8
}, {
'Task_ID': 85,
'Task_Assigned_Employee_ID': 8,
'Task_Subject': 'Refund Request Template',
'Task_Start_Date': '2015-06-17T00:00:00',
'Task_Due_Date': '2016-04-01T00:00:00',
'Task_Status': 'Deferred',
'Task_Priority': 2,
'Task_Completion': 0,
'Task_Parent_ID': 9
}, {
'Task_ID': 86,
'Task_Assigned_Employee_ID': 8,
'Task_Subject': 'Recall Rebate Form',
'Task_Start_Date': '2015-06-17T00:00:00',
'Task_Due_Date': '2016-04-01T00:00:00',
'Task_Status': 'Deferred',
'Task_Priority': 2,
'Task_Completion': 0,
'Task_Parent_ID': 9
}, {
'Task_ID': 87,
'Task_Assigned_Employee_ID': 12,
'Task_Subject': 'Create Report on Customer Feedback',
'Task_Start_Date': '2015-06-20T00:00:00',
'Task_Due_Date': '2015-06-30T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 4,
'Task_Completion': 100,
'Task_Parent_ID': 9
}, {
'Task_ID': 88,
'Task_Assigned_Employee_ID': 8,
'Task_Subject': 'Review Customer Feedback Report',
'Task_Start_Date': '2015-06-30T00:00:00',
'Task_Due_Date': '2015-07-03T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 9
}, {
'Task_ID': 89,
'Task_Assigned_Employee_ID': 1,
'Task_Subject': 'Customer Feedback Report Analysis',
'Task_Start_Date': '2015-07-05T00:00:00',
'Task_Due_Date': '2016-04-09T00:00:00',
'Task_Status': 'Deferred',
'Task_Priority': 2,
'Task_Completion': 0,
'Task_Parent_ID': 9
}, {
'Task_ID': 90,
'Task_Assigned_Employee_ID': 10,
'Task_Subject': 'Prepare Shipping Cost Analysis Report',
'Task_Start_Date': '2015-07-10T00:00:00',
'Task_Due_Date': '2015-07-15T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 10
}, {
'Task_ID': 91,
'Task_Assigned_Employee_ID': 13,
'Task_Subject': 'Provide Feedback on Shippers',
'Task_Start_Date': '2015-07-11T00:00:00',
'Task_Due_Date': '2015-07-14T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 10
}, {
'Task_ID': 92,
'Task_Assigned_Employee_ID': 15,
'Task_Subject': 'Provide Feedback on Shippers',
'Task_Start_Date': '2015-07-11T00:00:00',
'Task_Due_Date': '2015-07-14T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 10
}, {
'Task_ID': 93,
'Task_Assigned_Employee_ID': 16,
'Task_Subject': 'Provide Feedback on Shippers',
'Task_Start_Date': '2015-07-11T00:00:00',
'Task_Due_Date': '2015-07-14T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 10
}, {
'Task_ID': 94,
'Task_Assigned_Employee_ID': 2,
'Task_Subject': 'Select Preferred Shipper',
'Task_Start_Date': '2015-07-16T00:00:00',
'Task_Due_Date': '2015-07-20T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 10
}, {
'Task_ID': 95,
'Task_Assigned_Employee_ID': 1,
'Task_Subject': 'Complete Shipper Selection Form',
'Task_Start_Date': '2015-07-21T00:00:00',
'Task_Due_Date': '2016-04-11T00:00:00',
'Task_Status': 'Deferred',
'Task_Priority': 4,
'Task_Completion': 0,
'Task_Parent_ID': 10
}, {
'Task_ID': 96,
'Task_Assigned_Employee_ID': 6,
'Task_Subject': 'Upgrade Server Hardware',
'Task_Start_Date': '2015-07-22T00:00:00',
'Task_Due_Date': '2015-07-31T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 3,
'Task_Completion': 100,
'Task_Parent_ID': 11
}, {
'Task_ID': 97,
'Task_Assigned_Employee_ID': 6,
'Task_Subject': 'Upgrade Personal Computers',
'Task_Start_Date': '2015-07-24T00:00:00',
'Task_Due_Date': '2016-04-30T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 2,
'Task_Completion': 85,
'Task_Parent_ID': 11
}, {
'Task_ID': 98,
'Task_Assigned_Employee_ID': 2,
'Task_Subject': 'Approve Personal Computer Upgrade Plan',
'Task_Start_Date': '2015-07-24T00:00:00',
'Task_Due_Date': '2015-07-31T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 11
}, {
'Task_ID': 99,
'Task_Assigned_Employee_ID': 3,
'Task_Subject': 'Decide on Mobile Devices to Use in the Field',
'Task_Start_Date': '2015-07-30T00:00:00',
'Task_Due_Date': '2015-08-02T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 4,
'Task_Completion': 100,
'Task_Parent_ID': 11
}, {
'Task_ID': 100,
'Task_Assigned_Employee_ID': 6,
'Task_Subject': 'Upgrade Apps to Windows RT or stay with WinForms',
'Task_Start_Date': '2015-08-01T00:00:00',
'Task_Due_Date': '2015-08-05T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 12
}, {
'Task_ID': 101,
'Task_Assigned_Employee_ID': 25,
'Task_Subject': 'Estimate Time Required to Touch-Enable Apps',
'Task_Start_Date': '2015-08-05T00:00:00',
'Task_Due_Date': '2015-08-07T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 12
}, {
'Task_ID': 102,
'Task_Assigned_Employee_ID': 23,
'Task_Subject': 'Report on Tranistion to Touch-Based Apps',
'Task_Start_Date': '2015-08-10T00:00:00',
'Task_Due_Date': '2015-08-11T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 12
}, {
'Task_ID': 103,
'Task_Assigned_Employee_ID': 3,
'Task_Subject': 'Try New Touch-Enabled WinForms Apps',
'Task_Start_Date': '2015-08-11T00:00:00',
'Task_Due_Date': '2015-08-15T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 12
}, {
'Task_ID': 104,
'Task_Assigned_Employee_ID': 24,
'Task_Subject': 'Rollout New Touch-Enabled WinForms Apps',
'Task_Start_Date': '2015-08-17T00:00:00',
'Task_Due_Date': '2016-04-30T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 2,
'Task_Completion': 75,
'Task_Parent_ID': 12
}, {
'Task_ID': 105,
'Task_Assigned_Employee_ID': 6,
'Task_Subject': 'Site Up-Time Report',
'Task_Start_Date': '2015-08-20T00:00:00',
'Task_Due_Date': '2015-08-24T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 4,
'Task_Completion': 100,
'Task_Parent_ID': 13
}, {
'Task_ID': 106,
'Task_Assigned_Employee_ID': 4,
'Task_Subject': 'Review Site Up-Time Report',
'Task_Start_Date': '2015-08-24T00:00:00',
'Task_Due_Date': '2015-08-30T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 3,
'Task_Completion': 100,
'Task_Parent_ID': 13
}, {
'Task_ID': 107,
'Task_Assigned_Employee_ID': 1,
'Task_Subject': 'Review Online Sales Report',
'Task_Start_Date': '2015-08-30T00:00:00',
'Task_Due_Date': '2015-09-04T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 4,
'Task_Completion': 100,
'Task_Parent_ID': 13
}, {
'Task_ID': 108,
'Task_Assigned_Employee_ID': 8,
'Task_Subject': 'Determine New Online Marketing Strategy',
'Task_Start_Date': '2015-09-03T00:00:00',
'Task_Due_Date': '2015-09-10T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 13
}, {
'Task_ID': 109,
'Task_Assigned_Employee_ID': 42,
'Task_Subject': 'New Online Marketing Strategy',
'Task_Start_Date': '2015-09-05T00:00:00',
'Task_Due_Date': '2015-09-11T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 13
}, {
'Task_ID': 110,
'Task_Assigned_Employee_ID': 4,
'Task_Subject': 'Approve New Online Marketing Strategy',
'Task_Start_Date': '2015-09-15T00:00:00',
'Task_Due_Date': '2015-09-15T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 4,
'Task_Completion': 100,
'Task_Parent_ID': 13
}, {
'Task_ID': 111,
'Task_Assigned_Employee_ID': 28,
'Task_Subject': 'Submit New Website Design',
'Task_Start_Date': '2015-09-17T00:00:00',
'Task_Due_Date': '2015-09-22T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 14
}, {
'Task_ID': 112,
'Task_Assigned_Employee_ID': 29,
'Task_Subject': 'Create Icons for Website',
'Task_Start_Date': '2015-09-17T00:00:00',
'Task_Due_Date': '2015-09-21T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 3,
'Task_Completion': 100,
'Task_Parent_ID': 111
}, {
'Task_ID': 113,
'Task_Assigned_Employee_ID': 6,
'Task_Subject': 'Review PSDs for New Website',
'Task_Start_Date': '2015-09-23T00:00:00',
'Task_Due_Date': '2015-10-15T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 4,
'Task_Completion': 100,
'Task_Parent_ID': 111
}, {
'Task_ID': 114,
'Task_Assigned_Employee_ID': 24,
'Task_Subject': 'Create New Shopping Cart',
'Task_Start_Date': '2015-09-24T00:00:00',
'Task_Due_Date': '2015-10-01T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 113
}, {
'Task_ID': 115,
'Task_Assigned_Employee_ID': 25,
'Task_Subject': 'Create New Product Pages',
'Task_Start_Date': '2015-09-24T00:00:00',
'Task_Due_Date': '2015-10-04T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 113
}, {
'Task_ID': 116,
'Task_Assigned_Employee_ID': 8,
'Task_Subject': 'Review New Product Pages',
'Task_Start_Date': '2015-10-04T00:00:00',
'Task_Due_Date': '2015-10-10T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 113
}, {
'Task_ID': 117,
'Task_Assigned_Employee_ID': 4,
'Task_Subject': 'Approve Website Launch',
'Task_Start_Date': '2015-10-10T00:00:00',
'Task_Due_Date': '2015-10-15T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 4,
'Task_Completion': 100,
'Task_Parent_ID': 113
}, {
'Task_ID': 118,
'Task_Assigned_Employee_ID': 6,
'Task_Subject': 'Launch New Website',
'Task_Start_Date': '2015-10-15T00:00:00',
'Task_Due_Date': '2015-10-16T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 3,
'Task_Completion': 100,
'Task_Parent_ID': 111
}, {
'Task_ID': 119,
'Task_Assigned_Employee_ID': 14,
'Task_Subject': 'Update Customer Shipping Profiles',
'Task_Start_Date': '2015-10-20T00:00:00',
'Task_Due_Date': '2015-10-22T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 4,
'Task_Completion': 100,
'Task_Parent_ID': 14
}, {
'Task_ID': 120,
'Task_Assigned_Employee_ID': 6,
'Task_Subject': 'Create New Shipping Return Labels',
'Task_Start_Date': '2015-10-21T00:00:00',
'Task_Due_Date': '2015-10-30T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 119
}, {
'Task_ID': 121,
'Task_Assigned_Employee_ID': 23,
'Task_Subject': 'Get Design for Shipping Return Labels',
'Task_Start_Date': '2015-10-21T00:00:00',
'Task_Due_Date': '2015-10-30T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 119
}, {
'Task_ID': 122,
'Task_Assigned_Employee_ID': 29,
'Task_Subject': 'PSD needed for Shipping Return Labels',
'Task_Start_Date': '2015-10-22T00:00:00',
'Task_Due_Date': '2015-10-27T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 119
}, {
'Task_ID': 123,
'Task_Assigned_Employee_ID': 6,
'Task_Subject': 'Request Bandwidth Increase from ISP',
'Task_Start_Date': '2015-11-01T00:00:00',
'Task_Due_Date': '2015-11-05T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 15
}, {
'Task_ID': 124,
'Task_Assigned_Employee_ID': 7,
'Task_Subject': 'Submit D&B Number to ISP for Credit Approval',
'Task_Start_Date': '2015-11-04T00:00:00',
'Task_Due_Date': '2015-11-07T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 4,
'Task_Completion': 100,
'Task_Parent_ID': 15
}, {
'Task_ID': 125,
'Task_Assigned_Employee_ID': 2,
'Task_Subject': 'Contact ISP and Discuss Payment Options',
'Task_Start_Date': '2015-11-05T00:00:00',
'Task_Due_Date': '2015-11-06T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 3,
'Task_Completion': 100,
'Task_Parent_ID': 15
}, {
'Task_ID': 126,
'Task_Assigned_Employee_ID': 18,
'Task_Subject': 'Prepare Year-End Support Summary Report',
'Task_Start_Date': '2015-11-10T00:00:00',
'Task_Due_Date': '2015-11-15T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 16
}, {
'Task_ID': 127,
'Task_Assigned_Employee_ID': 19,
'Task_Subject': 'Analyze Support Traffic for 2015',
'Task_Start_Date': '2015-11-11T00:00:00',
'Task_Due_Date': '2015-11-14T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 16
}, {
'Task_ID': 128,
'Task_Assigned_Employee_ID': 33,
'Task_Subject': 'Review New Training Material',
'Task_Start_Date': '2015-11-14T00:00:00',
'Task_Due_Date': '2015-11-18T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 17
}, {
'Task_ID': 129,
'Task_Assigned_Employee_ID': 31,
'Task_Subject': 'Distribute Training Material to Support Staff',
'Task_Start_Date': '2015-11-18T00:00:00',
'Task_Due_Date': '2015-11-30T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 17
}, {
'Task_ID': 130,
'Task_Assigned_Employee_ID': 9,
'Task_Subject': 'Training Material Distribution Schedule',
'Task_Start_Date': '2015-11-30T00:00:00',
'Task_Due_Date': '2015-12-02T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 4,
'Task_Completion': 100,
'Task_Parent_ID': 17
}, {
'Task_ID': 131,
'Task_Assigned_Employee_ID': 28,
'Task_Subject': 'Provide New Artwork to Support Team',
'Task_Start_Date': '2015-12-03T00:00:00',
'Task_Due_Date': '2015-12-04T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 17
}, {
'Task_ID': 132,
'Task_Assigned_Employee_ID': 29,
'Task_Subject': 'Publish New Art on the Server',
'Task_Start_Date': '2015-12-03T00:00:00',
'Task_Due_Date': '2015-12-04T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 4,
'Task_Completion': 100,
'Task_Parent_ID': 131
}, {
'Task_ID': 133,
'Task_Assigned_Employee_ID': 12,
'Task_Subject': 'Replace Old Artwork with New Artwork',
'Task_Start_Date': '2015-12-07T00:00:00',
'Task_Due_Date': '2015-12-15T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 131
}, {
'Task_ID': 134,
'Task_Assigned_Employee_ID': 20,
'Task_Subject': 'Replace Old Artwork with New Artwork',
'Task_Start_Date': '2015-12-07T00:00:00',
'Task_Due_Date': '2015-12-15T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 131
}, {
'Task_ID': 135,
'Task_Assigned_Employee_ID': 40,
'Task_Subject': 'Replace Old Artwork with New Artwork',
'Task_Start_Date': '2015-12-07T00:00:00',
'Task_Due_Date': '2015-12-15T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 131
}, {
'Task_ID': 136,
'Task_Assigned_Employee_ID': 8,
'Task_Subject': 'Ship New Brochures to Field',
'Task_Start_Date': '2015-12-19T00:00:00',
'Task_Due_Date': '2015-12-31T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 4,
'Task_Completion': 100,
'Task_Parent_ID': 17
}, {
'Task_ID': 137,
'Task_Assigned_Employee_ID': 14,
'Task_Subject': 'Ship Brochures to Todd Hoffman',
'Task_Start_Date': '2015-12-23T00:00:00',
'Task_Due_Date': '2015-12-31T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 3,
'Task_Completion': 100,
'Task_Parent_ID': 17
}, {
'Task_ID': 138,
'Task_Assigned_Employee_ID': 22,
'Task_Subject': 'Update Server with Service Packs',
'Task_Start_Date': '2015-12-24T00:00:00',
'Task_Due_Date': '2015-12-24T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 3,
'Task_Completion': 100,
'Task_Parent_ID': 18
}, {
'Task_ID': 139,
'Task_Assigned_Employee_ID': 22,
'Task_Subject': 'Install New Database',
'Task_Start_Date': '2015-12-27T00:00:00',
'Task_Due_Date': '2015-12-28T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 4,
'Task_Completion': 100,
'Task_Parent_ID': 18
}, {
'Task_ID': 140,
'Task_Assigned_Employee_ID': 6,
'Task_Subject': 'Approve Overtime for HR',
'Task_Start_Date': '2015-12-29T00:00:00',
'Task_Due_Date': '2015-12-29T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 18
}, {
'Task_ID': 141,
'Task_Assigned_Employee_ID': 32,
'Task_Subject': 'Review New HDMI Specification',
'Task_Start_Date': '2016-01-02T00:00:00',
'Task_Due_Date': '2016-01-31T00:00:00',
'Task_Status': 'Deferred',
'Task_Priority': 2,
'Task_Completion': 50,
'Task_Parent_ID': 19
}, {
'Task_ID': 142,
'Task_Assigned_Employee_ID': 3,
'Task_Subject': 'Approval on Converting to New HDMI Specification',
'Task_Start_Date': '2016-01-11T00:00:00',
'Task_Due_Date': '2016-01-31T00:00:00',
'Task_Status': 'Deferred',
'Task_Priority': 2,
'Task_Completion': 75,
'Task_Parent_ID': 19
}, {
'Task_ID': 143,
'Task_Assigned_Employee_ID': 24,
'Task_Subject': 'Create New Spike for Automation Server',
'Task_Start_Date': '2016-01-15T00:00:00',
'Task_Due_Date': '2016-01-27T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 4,
'Task_Completion': 100,
'Task_Parent_ID': 20
}, {
'Task_ID': 144,
'Task_Assigned_Employee_ID': 41,
'Task_Subject': 'Report on Retail Sales Strategy for 2016',
'Task_Start_Date': '2016-01-20T00:00:00',
'Task_Due_Date': '2016-01-31T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 4,
'Task_Completion': 100,
'Task_Parent_ID': 21
}, {
'Task_ID': 145,
'Task_Assigned_Employee_ID': 25,
'Task_Subject': 'Code Review - New Automation Server',
'Task_Start_Date': '2016-01-27T00:00:00',
'Task_Due_Date': '2016-02-15T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 2,
'Task_Completion': 75,
'Task_Parent_ID': 20
}, {
'Task_ID': 146,
'Task_Assigned_Employee_ID': 17,
'Task_Subject': 'Feedback on New Training Course',
'Task_Start_Date': '2016-01-28T00:00:00',
'Task_Due_Date': '2016-02-05T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 17
}, {
'Task_ID': 147,
'Task_Assigned_Employee_ID': 10,
'Task_Subject': 'Send Monthly Invoices from Shippers',
'Task_Start_Date': '2016-02-01T00:00:00',
'Task_Due_Date': '2016-02-07T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 10
}, {
'Task_ID': 148,
'Task_Assigned_Employee_ID': 40,
'Task_Subject': 'Schedule Meeting with Sales Team',
'Task_Start_Date': '2016-02-07T00:00:00',
'Task_Due_Date': '2016-02-09T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 21
}, {
'Task_ID': 149,
'Task_Assigned_Employee_ID': 42,
'Task_Subject': 'Confirm Availability for Sales Meeting',
'Task_Start_Date': '2016-02-09T00:00:00',
'Task_Due_Date': '2016-02-09T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 4,
'Task_Completion': 100,
'Task_Parent_ID': 21
}, {
'Task_ID': 150,
'Task_Assigned_Employee_ID': 39,
'Task_Subject': 'Reschedule Sales Team Meeting',
'Task_Start_Date': '2016-02-10T00:00:00',
'Task_Due_Date': '2016-02-10T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 4,
'Task_Completion': 100,
'Task_Parent_ID': 21
}, {
'Task_ID': 151,
'Task_Assigned_Employee_ID': 45,
'Task_Subject': 'Update Database with New Leads',
'Task_Start_Date': '2016-03-01T00:00:00',
'Task_Due_Date': '2016-03-10T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 2,
'Task_Completion': 80,
'Task_Parent_ID': 18
}, {
'Task_ID': 152,
'Task_Assigned_Employee_ID': 12,
'Task_Subject': 'Send Territory Sales Breakdown',
'Task_Start_Date': '2016-03-13T00:00:00',
'Task_Due_Date': '2016-03-16T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 4,
'Task_Completion': 50,
'Task_Parent_ID': 22
}, {
'Task_ID': 153,
'Task_Assigned_Employee_ID': 41,
'Task_Subject': 'Territory Sales Breakdown Report',
'Task_Start_Date': '2016-03-17T00:00:00',
'Task_Due_Date': '2016-03-17T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 3,
'Task_Completion': 50,
'Task_Parent_ID': 22
}, {
'Task_ID': 154,
'Task_Assigned_Employee_ID': 3,
'Task_Subject': 'Return Merchandise Report',
'Task_Start_Date': '2016-03-17T00:00:00',
'Task_Due_Date': '2016-03-18T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 4,
'Task_Completion': 25,
'Task_Parent_ID': 22
}, {
'Task_ID': 155,
'Task_Assigned_Employee_ID': 32,
'Task_Subject': 'Report on the State of Engineering Dept',
'Task_Start_Date': '2016-03-18T00:00:00',
'Task_Due_Date': '2016-03-19T00:00:00',
'Task_Status': 'Not Started',
'Task_Priority': 2,
'Task_Completion': 0,
'Task_Parent_ID': 22
}, {
'Task_ID': 156,
'Task_Assigned_Employee_ID': 6,
'Task_Subject': 'Staff Productivity Report',
'Task_Start_Date': '2016-03-20T00:00:00',
'Task_Due_Date': '2016-03-21T00:00:00',
'Task_Status': 'Not Started',
'Task_Priority': 2,
'Task_Completion': 0,
'Task_Parent_ID': 23
}, {
'Task_ID': 157,
'Task_Assigned_Employee_ID': 5,
'Task_Subject': 'Review HR Budget Company Wide',
'Task_Start_Date': '2016-03-20T00:00:00',
'Task_Due_Date': '2016-03-25T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 2,
'Task_Completion': 40,
'Task_Parent_ID': 23
}, {
'Task_ID': 158,
'Task_Assigned_Employee_ID': 8,
'Task_Subject': 'Sales Dept Budget Request Report',
'Task_Start_Date': '2016-03-23T00:00:00',
'Task_Due_Date': '2016-03-25T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 4,
'Task_Completion': 75,
'Task_Parent_ID': 23
}, {
'Task_ID': 159,
'Task_Assigned_Employee_ID': 9,
'Task_Subject': 'Support Dept Budget Report',
'Task_Start_Date': '2016-03-23T00:00:00',
'Task_Due_Date': '2016-03-25T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 4,
'Task_Completion': 60,
'Task_Parent_ID': 23
}, {
'Task_ID': 160,
'Task_Assigned_Employee_ID': 6,
'Task_Subject': 'IT Dept Budget Request Report',
'Task_Start_Date': '2016-03-23T00:00:00',
'Task_Due_Date': '2016-03-25T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 4,
'Task_Completion': 30,
'Task_Parent_ID': 23
}, {
'Task_ID': 161,
'Task_Assigned_Employee_ID': 32,
'Task_Subject': 'Engineering Dept Budget Request Report',
'Task_Start_Date': '2016-03-23T00:00:00',
'Task_Due_Date': '2016-03-25T00:00:00',
'Task_Status': 'Deferred',
'Task_Priority': 4,
'Task_Completion': 0,
'Task_Parent_ID': 23
}, {
'Task_ID': 162,
'Task_Assigned_Employee_ID': 26,
'Task_Subject': '1Q Travel Spend Report',
'Task_Start_Date': '2016-03-24T00:00:00',
'Task_Due_Date': '2016-03-25T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 2,
'Task_Completion': 30,
'Task_Parent_ID': 23
}, {
'Task_ID': 163,
'Task_Assigned_Employee_ID': 7,
'Task_Subject': 'Approve Benefits Upgrade Package',
'Task_Start_Date': '2016-03-26T00:00:00',
'Task_Due_Date': '2016-03-27T00:00:00',
'Task_Status': 'Deferred',
'Task_Priority': 2,
'Task_Completion': 0,
'Task_Parent_ID': 23
}, {
'Task_ID': 164,
'Task_Assigned_Employee_ID': 5,
'Task_Subject': 'Final Budget Review',
'Task_Start_Date': '2016-03-26T00:00:00',
'Task_Due_Date': '2016-03-27T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 4,
'Task_Completion': 25,
'Task_Parent_ID': 23
}, {
'Task_ID': 165,
'Task_Assigned_Employee_ID': 2,
'Task_Subject': 'State of Operations Report',
'Task_Start_Date': '2016-03-28T00:00:00',
'Task_Due_Date': '2016-03-31T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 4,
'Task_Completion': 45,
'Task_Parent_ID': 22
}, {
'Task_ID': 166,
'Task_Assigned_Employee_ID': 42,
'Task_Subject': 'Online Sales Report',
'Task_Start_Date': '2016-03-29T00:00:00',
'Task_Due_Date': '2016-03-30T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 4,
'Task_Completion': 55,
'Task_Parent_ID': 22
}, {
'Task_ID': 167,
'Task_Assigned_Employee_ID': 13,
'Task_Subject': 'Reprint All Shipping Labels',
'Task_Start_Date': '2016-04-01T00:00:00',
'Task_Due_Date': '2016-04-10T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 2,
'Task_Completion': 10,
'Task_Parent_ID': 24
}, {
'Task_ID': 168,
'Task_Assigned_Employee_ID': 28,
'Task_Subject': 'Shipping Label Artwork',
'Task_Start_Date': '2016-04-02T00:00:00',
'Task_Due_Date': '2016-04-09T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 2,
'Task_Completion': 40,
'Task_Parent_ID': 24
}, {
'Task_ID': 169,
'Task_Assigned_Employee_ID': 13,
'Task_Subject': 'Specs for New Shipping Label',
'Task_Start_Date': '2016-04-04T00:00:00',
'Task_Due_Date': '2016-04-05T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 2,
'Task_Completion': 100,
'Task_Parent_ID': 24
}, {
'Task_ID': 170,
'Task_Assigned_Employee_ID': 15,
'Task_Subject': 'Move Packaging Materials to New Warehouse',
'Task_Start_Date': '2016-04-05T00:00:00',
'Task_Due_Date': '2016-04-15T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 2,
'Task_Completion': 60,
'Task_Parent_ID': 25
}, {
'Task_ID': 171,
'Task_Assigned_Employee_ID': 16,
'Task_Subject': 'Move Inventory to New Warehouse',
'Task_Start_Date': '2016-04-05T00:00:00',
'Task_Due_Date': '2016-04-15T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 2,
'Task_Completion': 70,
'Task_Parent_ID': 25
}, {
'Task_ID': 172,
'Task_Assigned_Employee_ID': 14,
'Task_Subject': 'Take Forklift to Service Center',
'Task_Start_Date': '2016-04-07T00:00:00',
'Task_Due_Date': '2016-04-18T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 2,
'Task_Completion': 60,
'Task_Parent_ID': 26
}, {
'Task_ID': 173,
'Task_Assigned_Employee_ID': 10,
'Task_Subject': 'Approve Rental of Forklift',
'Task_Start_Date': '2016-04-08T00:00:00',
'Task_Due_Date': '2016-04-09T00:00:00',
'Task_Status': 'Need Assistance',
'Task_Priority': 4,
'Task_Completion': 0,
'Task_Parent_ID': 26
}, {
'Task_ID': 174,
'Task_Assigned_Employee_ID': 7,
'Task_Subject': 'Give Final Approval to Rent Forklift',
'Task_Start_Date': '2016-04-08T00:00:00',
'Task_Due_Date': '2016-04-08T00:00:00',
'Task_Status': 'Need Assistance',
'Task_Priority': 2,
'Task_Completion': 0,
'Task_Parent_ID': 26
}, {
'Task_ID': 175,
'Task_Assigned_Employee_ID': 9,
'Task_Subject': 'Review Complaint Reports',
'Task_Start_Date': '2016-04-17T00:00:00',
'Task_Due_Date': '2016-04-30T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 4,
'Task_Completion': 40,
'Task_Parent_ID': 22
}, {
'Task_ID': 176,
'Task_Assigned_Employee_ID': 6,
'Task_Subject': 'Review Website Complaint Reports',
'Task_Start_Date': '2016-04-18T00:00:00',
'Task_Due_Date': '2016-04-24T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 2,
'Task_Completion': 65,
'Task_Parent_ID': 22
}, {
'Task_ID': 177,
'Task_Assigned_Employee_ID': 33,
'Task_Subject': 'Test New Automation App',
'Task_Start_Date': '2016-04-20T00:00:00',
'Task_Due_Date': '2016-04-30T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 2,
'Task_Completion': 80,
'Task_Parent_ID': 20
}, {
'Task_ID': 178,
'Task_Assigned_Employee_ID': 38,
'Task_Subject': 'Fix Synchronization Issues',
'Task_Start_Date': '2016-04-21T00:00:00',
'Task_Due_Date': '2016-04-21T00:00:00',
'Task_Status': 'Completed',
'Task_Priority': 4,
'Task_Completion': 100,
'Task_Parent_ID': 20
}, {
'Task_ID': 179,
'Task_Assigned_Employee_ID': 22,
'Task_Subject': 'Free Up Space for New Application Set',
'Task_Start_Date': '2016-04-19T00:00:00',
'Task_Due_Date': '2016-04-19T00:00:00',
'Task_Status': 'Not Started',
'Task_Priority': 2,
'Task_Completion': 0,
'Task_Parent_ID': 20
}, {
'Task_ID': 180,
'Task_Assigned_Employee_ID': 9,
'Task_Subject': 'Support Team Evaluation Report',
'Task_Start_Date': '2016-05-01T00:00:00',
'Task_Due_Date': '2016-05-07T00:00:00',
'Task_Status': 'Deferred',
'Task_Priority': 2,
'Task_Completion': 0,
'Task_Parent_ID': 22
}, {
'Task_ID': 181,
'Task_Assigned_Employee_ID': 1,
'Task_Subject': 'Review New Customer Follow Up Plan',
'Task_Start_Date': '2016-05-05T00:00:00',
'Task_Due_Date': '2016-05-11T00:00:00',
'Task_Status': 'In Progress',
'Task_Priority': 2,
'Task_Completion': 75,
'Task_Parent_ID': 27
}, {
'Task_ID': 182,
'Task_Assigned_Employee_ID': 2,
'Task_Subject': 'Submit Customer Follow Up Plan Feedback',
'Task_Start_Date': '2016-05-06T00:00:00',
'Task_Due_Date': '2016-05-10T00:00:00',
'Task_Status': 'Deferred',
'Task_Priority': 2,
'Task_Completion': 0,
'Task_Parent_ID': 27
}];
export const employees = [{
'ID': 1,
'Name': 'John Heart',
'Picture': '../../../../images/employees/01.png'
}, {
'ID': 2,
'Name': 'Samantha Bright',
'Picture': '../../../../images/employees/04.png'
}, {
'ID': 3,
'Name': 'Arthur Miller',
'Picture': '../../../../images/employees/02.png'
}, {
'ID': 4,
'Name': 'Robert Reagan',
'Picture': '../../../../images/employees/03.png'
}, {
'ID': 5,
'Name': 'Greta Sims',
'Picture': '../../../../images/employees/06.png'
}, {
'ID': 6,
'Name': 'Brett Wade',
'Picture': '../../../../images/employees/05.png'
}, {
'ID': 7,
'Name': 'Sandra Johnson',
'Picture': '../../../../images/employees/08.png'
}, {
'ID': 8,
'Name': 'Ed Holmes',
'Picture': '../../../../images/employees/07.png'
}, {
'ID': 9,
'Name': 'Barb Banks',
'Picture': '../../../../images/employees/09.png'
}, {
'ID': 10,
'Name': 'Kevin Carter',
'Picture': '../../../../images/employees/10.png'
}, {
'ID': 11,
'Name': 'Cindy Stanwick',
'Picture': '../../../../images/employees/15.png'
}, {
'ID': 12,
'Name': 'Sammy Hill',
'Picture': '../../../../images/employees/11.png'
}, {
'ID': 13,
'Name': 'Davey Jones',
'Picture': '../../../../images/employees/12.png'
}, {
'ID': 14,
'Name': 'Victor Norris',
'Picture': '../../../../images/employees/13.png'
}, {
'ID': 15,
'Name': 'Mary Stern',
'Picture': '../../../../images/employees/16.png'
}, {
'ID': 16,
'Name': 'Robin Cosworth',
'Picture': '../../../../images/employees/14.png'
}, {
'ID': 17,
'Name': 'Kelly Rodriguez',
'Picture': '../../../../images/employees/17.png'
}, {
'ID': 18,
'Name': 'James Anderson',
'Picture': '../../../../images/employees/18.png'
}, {
'ID': 19,
'Name': 'Antony Remmen',
'Picture': '../../../../images/employees/19.png'
}, {
'ID': 20,
'Name': 'Olivia Peyton',
'Picture': '../../../../images/employees/20.png'
}, {
'ID': 21,
'Name': 'Taylor Riley',
'Picture': '../../../../images/employees/21.png'
}, {
'ID': 22,
'Name': 'Amelia Harper',
'Picture': '../../../../images/employees/22.png'
}, {
'ID': 23,
'Name': 'Wally Hobbs',
'Picture': '../../../../images/employees/23.png'
}, {
'ID': 24,
'Name': 'Brad Jameson',
'Picture': '../../../../images/employees/24.png'
}, {
'ID': 25,
'Name': 'Karen Goodson',
'Picture': '../../../../images/employees/25.png'
}, {
'ID': 26,
'Name': 'Marcus Orbison',
'Picture': '../../../../images/employees/26.png'
}, {
'ID': 27,
'Name': 'Sandy Bright',
'Picture': '../../../../images/employees/27.png'
}, {
'ID': 28,
'Name': 'Morgan Kennedy',
'Picture': '../../../../images/employees/28.png'
}, {
'ID': 29,
'Name': 'Violet Bailey',
'Picture': '../../../../images/employees/29.png'
}, {
'ID': 30,
'Name': 'Ken Samuelson',
'Picture': '../../../../images/employees/32.png'
}, {
'ID': 31,
'Name': 'Nat Maguiree',
'Picture': '../../../../images/employees/34.png'
}, {
'ID': 32,
'Name': 'Bart Arnaz',
'Picture': '../../../../images/employees/37.png'
}, {
'ID': 33,
'Name': 'Leah Simpson',
'Picture': '../../../../images/employees/38.png'
}, {
'ID': 34,
'Name': 'Arnie Schwartz',
'Picture': '../../../../images/employees/40.png'
}, {
'ID': 35,
'Name': 'Billy Zimmer',
'Picture': '../../../../images/employees/42.png'
}, {
'ID': 36,
'Name': 'Samantha Piper',
'Picture': '../../../../images/employees/30.png'
}, {
'ID': 37,
'Name': 'Maggie Boxter',
'Picture': '../../../../images/employees/31.png'
}, {
'ID': 38,
'Name': 'Terry Bradley',
'Picture': '../../../../images/employees/33.png'
}, {
'ID': 39,
'Name': 'Gabe Jones',
'Picture': '../../../../images/employees/35.png'
}, {
'ID': 40,
'Name': 'Lucy Ball',
'Picture': '../../../../images/employees/36.png'
}, {
'ID': 41,
'Name': 'Jim Packard',
'Picture': '../../../../images/employees/43.png'
}, {
'ID': 42,
'Name': 'Hannah Brookly',
'Picture': '../../../../images/employees/39.png'
}, {
'ID': 43,
'Name': 'Harv Mudd',
'Picture': '../../../../images/employees/44.png'
}, {
'ID': 44,
'Name': 'Clark Morgan',
'Picture': '../../../../images/employees/45.png'
}, {
'ID': 45,
'Name': 'Todd Hoffman',
'Picture': '../../../../images/employees/46.png'
}, {
'ID': 46,
'Name': 'Jackie Garmin',
'Picture': '../../../../images/employees/47.png'
}, {
'ID': 47,
'Name': 'Lincoln Bartlett',
'Picture': '../../../../images/employees/49.png'
}, {
'ID': 48,
'Name': 'Brad Farkus',
'Picture': '../../../../images/employees/50.png'
}, {
'ID': 49,
'Name': 'Jenny Hobbs',
'Picture': '../../../../images/employees/48.png'
}, {
'ID': 50,
'Name': 'Dallas Lou',
'Picture': '../../../../images/employees/41.png'
}, {
'ID': 51,
'Name': 'Stu Pizaro'
}];
export const priorities = [
{ id: 1, value: 'Low' },
{ id: 2, value: 'Normal' },
{ id: 3, value: 'Urgent' },
{ id: 4, value: 'High' }
];
System.config({
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader'
},
},
paths: {
'npm:': 'https://unpkg.com/'
},
map: {
'vue': 'npm:vue@3.0.0/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.0.15/index.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.25.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.4',
'devextreme-vue': 'npm:devextreme-vue@20.2.4',
'jszip': 'npm:jszip@3.5.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.9.7/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.5/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.8/dist/dx-gantt.js',
'preact': 'npm:preact@10.5.7/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.7/hooks/dist/hooks.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js'
},
packages: {
'devextreme-vue': {
main: 'index.js'
},
'devextreme': {
defaultExtension: 'js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
babelOptions: {
sourceMaps: false,
stage0: true
}
});

<div class="title">Edit Task</div>
<div class="editors">
<div class="left">
<dx-text-box
value="Samantha Bright"
width="100%"
placeholder="Owner"
[stylingMode]="stylingMode"
></dx-text-box>
<dx-text-box
value=""
width="100%"
placeholder="Subject"
[stylingMode]="stylingMode"
>
<dx-validator [validationRules]="[{
type: 'required'
}]"></dx-validator>
</dx-text-box>
</div>
<div class="right">
<dx-date-box
[value]="date"
width="100%"
placeholder="Start Date"
[stylingMode]="stylingMode"
></dx-date-box>
<dx-select-box
[items]="[ 'High', 'Urgent', 'Normal', 'Low' ]"
value="High"
width="100%"
placeholder="Priority"
[stylingMode]="stylingMode"
></dx-select-box>
</div>
<div class="center">
<dx-tag-box
[items]="[ 'Not Started', 'Need Assistance', 'In Progress', 'Deferred', 'Completed' ]"
[value]="[ 'Not Started' ]"
[multiline]="false"
width="100%"
placeholder="Status"
[stylingMode]="stylingMode"
></dx-tag-box>
<dx-text-area
value="Need sign-off on the new NDA agreement. It's important that this is done quickly to prevent any unauthorized leaks."
width="100%"
placeholder="Details"
[stylingMode]="stylingMode"
></dx-text-area>
</div>
<div class="center">
<dx-button
text="Save"
type="default"
(onClick)="validateClick($event)"
class="validate"
></dx-button>
</div>
</div>
<div class="options">
<div class="caption">Styling Mode</div>
<div class="option">
<dx-select-box
[items]="[ 'outlined', 'filled', 'underlined' ]"
[(value)]="stylingMode"
></dx-select-box>
</div>
</div>
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import {
DxSelectBoxModule,
DxTextBoxModule,
DxTextAreaModule,
DxTagBoxModule,
DxDateBoxModule,
DxButtonModule,
DxValidatorModule
} from 'devextreme-angular';
import notify from 'devextreme/ui/notify';
import validationEngine from 'devextreme/ui/validation_engine';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
providers: [],
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css'],
preserveWhitespaces: true
})
export class AppComponent {
stylingMode = "filled";
date = new Date(2020, 4, 3);
validateClick(e) {
var result = e.validationGroup.validate();
if (result.isValid) {
notify('The task was saved successfully.', 'success');
} else {
notify('The task was not saved. Please check if all fields are valid.', 'error');
}
}
constructor() {
setTimeout(() => validationEngine.validateGroup());
}
}
@NgModule({
imports: [
BrowserModule,
DxSelectBoxModule,
DxTextBoxModule,
DxTextAreaModule,
DxTagBoxModule,
DxDateBoxModule,
DxButtonModule,
DxValidatorModule
],
declarations: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep .title {
padding: 20px 0 20px 0;
font-size: 18px;
font-weight: 500;
}
::ng-deep .editors {
margin-right: 320px;
}
::ng-deep .editors .left, ::ng-deep .editors .right {
display: inline-block;
width: 49%;
padding-right: 20px;
box-sizing: border-box;
}
::ng-deep .editors .left > *, ::ng-deep .editors .right > *, ::ng-deep .editors .center > * {
margin-bottom: 20px;
}
::ng-deep .editors .center {
padding: 20px 27px 0 0;
}
::ng-deep .validate {
float: right;
}
::ng-deep .options {
padding: 20px;
position: absolute;
bottom: 0;
right: 0;
width: 260px;
top: 0;
background-color: rgba(191, 191, 191, 0.15);
}
::ng-deep .caption {
font-size: 18px;
font-weight: 500;
}
::ng-deep .option {
margin-top: 20px;
}
// In real applications, you should not transpile code in the browser. You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
System.config({
transpiler: 'ts',
typescriptOptions: {
module: "system",
emitDecoratorMetadata: true,
experimentalDecorators: true
},
meta: {
'typescript': {
"exports": "ts"
}
},
paths: {
'npm:': 'https://unpkg.com/'
},
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@3.4.5/lib/typescript.js',
'@angular/core': 'npm:@angular/core@8.0.0/bundles/core.umd.js',
'@angular/common': 'npm:@angular/common@8.0.0/bundles/common.umd.js',
'@angular/compiler': 'npm:@angular/compiler@8.0.0/bundles/compiler.umd.js',
'@angular/platform-browser': 'npm:@angular/platform-browser@8.0.0/bundles/platform-browser.umd.js',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic@8.0.0/bundles/platform-browser-dynamic.umd.js',
'@angular/router': 'npm:@angular/router@8.0.0/bundles/router.umd.js',
'@angular/forms': 'npm:@angular/forms@8.0.0/bundles/forms.umd.js',
'@angular/common/http': 'npm:@angular/common@8.0.0/bundles/common-http.umd.js',
'tslib': 'npm:tslib/tslib.js',
'rxjs': 'npm:rxjs@6.3.3',
'rxjs/operators': 'npm:rxjs@6.3.3/operators',
'devextreme': 'npm:devextreme@19.2',
'jszip': 'npm:jszip@3.1.3/dist/jszip.min.js',
'quill': 'npm:quill@1.3.7/dist/quill.js',
'devexpress-diagram': 'npm:devexpress-diagram',
'devexpress-gantt': 'npm:devexpress-gantt',
'devextreme-angular': 'npm:devextreme-angular@19.2',
'globalize': 'npm:globalize/dist/globalize',
'cldr': 'npm:cldrjs/dist/cldr'
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts'
},
'devextreme': {
defaultExtension: 'js'
},
'rxjs': { main: 'index.js', defaultExtension: 'js' },
'rxjs/operators': { main: 'index.js', defaultExtension: 'js' },
'devextreme-angular': {
main: 'index.js',
defaultExtension: 'js'
},
'globalize': {
main: '../globalize.js',
defaultExtension: 'js'
},
'cldr': {
main: '../cldr.js',
defaultExtension: 'js'
}
}
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/19.2.4/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/19.2.4/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.6.25/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.3/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import('app').catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>

import React from 'react';
import SelectBox from 'devextreme-react/select-box';
import TagBox from 'devextreme-react/tag-box';
import TextBox from 'devextreme-react/text-box';
import DateBox from 'devextreme-react/date-box';
import TextArea from 'devextreme-react/text-area';
import Button from 'devextreme-react/button';
import Validator from 'devextreme-react/validator';
import notify from 'devextreme/ui/notify';
import validationEngine from 'devextreme/ui/validation_engine';
class App extends React.Component {
constructor(props) {
super(props);
this.state = {
date: new Date(2020, 4, 3),
stylingMode: 'filled'
};
this.validateClick = this.validateClick.bind(this);
this.stylingModeChange = this.stylingModeChange.bind(this);
}
render() {
setTimeout(() => validationEngine.validateGroup());
return (
<React.Fragment>
<div className="title">Edit Task</div>
<div className="editors">
<div className="left">
<TextBox
stylingMode={this.state.stylingMode}
defaultValue="Samantha Bright"
width="100%"
placeholder="Owner"
/>
<TextBox
stylingMode={this.state.stylingMode}
defaultValue=""
width="100%"
placeholder="Subject"
>
<Validator
validationRules={[{ type: 'required' }]} />
</TextBox>
</div>
<div className="right">
<DateBox
defaultValue={this.state.date}
stylingMode={this.state.stylingMode}
width="100%"
placeholder="Start Date"
/>
<SelectBox
items={[ 'High', 'Urgent', 'Normal', 'Low' ]}
stylingMode={this.state.stylingMode}
defaultValue="High"
width="100%"
placeholder="Priority"
/>
</div>
<div className="center">
<TagBox
items={[ 'Not Started', 'Need Assistance', 'In Progress', 'Deferred', 'Completed' ]}
defaultValue={[ 'Not Started' ]}
multiline={false}
stylingMode={this.state.stylingMode}
width="100%"
placeholder="Status"
/>
<TextArea
stylingMode={this.state.stylingMode}
defaultValue={'Need sign-off on the new NDA agreement. It\'s important that this is done quickly to prevent any unauthorized leaks.'}
width="100%"
placeholder="Details"
/>
</div>
<div className="center">
<Button
onClick={this.validateClick}
text="Save"
type="default"
className="validate"
/>
</div>
</div>
<div className="options">
<div className="caption">Styling Mode</div>
<div className="option">
<SelectBox
items={[ 'outlined', 'filled', 'underlined' ]}
value={this.state.stylingMode}
onValueChanged={this.stylingModeChange}
/>
</div>
</div>
</React.Fragment>
);
}
validateClick(e) {
var result = e.validationGroup.validate();
if (result.isValid) {
notify('The task was saved successfully.', 'success');
} else {
notify('The task was not saved. Please check if all fields are valid.', 'error');
}
}
stylingModeChange(e) {
this.setState({
stylingMode: e.value
});
}
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app')
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.6/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.6/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import('./index.js');
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
.title {
padding: 20px 0 20px 0;
font-size: 18px;
font-weight: 500;
}
.editors {
margin-right: 320px;
}
.editors .left, .editors .right {
display: inline-block;
width: 49%;
padding-right: 20px;
box-sizing: border-box;
}
.editors .left > *, .editors .right > *, .editors .center > * {
margin-bottom: 20px;
}
.editors .center {
padding: 20px 27px 0 0;
}
.validate {
float: right;
}
.options {
padding: 20px;
position: absolute;
bottom: 0;
right: 0;
width: 260px;
top: 0;
background-color: rgba(191, 191, 191, 0.15);
}
.caption {
font-size: 18px;
font-weight: 500;
}
.option {
margin-top: 20px;
}
System.config({
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
"esModule": true
},
},
paths: {
'npm:': 'https://unpkg.com/'
},
defaultExtension: 'js',
map: {
'react': 'npm:react@16.14.0/umd/react.development.js',
'react-dom': 'npm:react-dom@16.14.0/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.7.2/prop-types.js',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.26.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.6',
'devextreme-react': 'npm:devextreme-react@20.2.6',
'jszip': 'npm:jszip@3.6.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.10.3/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.18/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.24/dist/dx-gantt.js',
'preact': 'npm:preact@10.5.13/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.13/hooks/dist/hooks.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js'
},
packages: {
'devextreme': {
defaultExtension: 'js'
},
'devextreme-react': {
main: 'index.js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
babelOptions: {
sourceMaps: false,
stage0: true,
react: true
}
});